careCycle
Campaigns

List campaign behaviors

GET
/v2/campaigns/{campaignId}/behaviors

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Campaign ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/behaviors"
{
  "configurationHash": "string",
  "configurationReady": true,
  "configurationIssues": [
    "string"
  ],
  "behaviors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "behaviorKey": "8f4ec167-b8f8-4577-be44-e6d35d0a5583",
      "capabilityId": "486ae165-7fa3-4fe9-8d0b-0636c8459cb3",
      "capabilityToolType": "string",
      "capabilityName": "string",
      "snippetId": "ecb0f447-186f-4346-95ab-e27b9e84b6b4",
      "snippetName": "string",
      "scope": "business_hours",
      "enabled": true,
      "priority": 0,
      "isDefault": true,
      "appliesTo": [
        "string"
      ],
      "transferConfigId": "e0ca1204-c276-46be-8cf8-5259ed04eb66",
      "transferConfigName": "string",
      "appointmentConfigId": "1c7d76df-b376-45c7-a6f4-7e4bd224ddc2",
      "appointmentConfigName": "string",
      "source": "string"
    }
  ],
  "transfers": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    }
  ],
  "appointments": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    }
  ],
  "capabilities": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "toolType": "string",
      "name": "string"
    }
  ],
  "snippets": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "toolsAllowlist": [
        "string"
      ]
    }
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}